Summary:	I/O on in-core objects like strings and arrays for Perl
Name:		perl-IO-stringy
Version:	2.113
Release:        3%{?dist}
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/IO-stringy
Source0:	https://cpan.metacpan.org/modules/by-module/IO/IO-Stringy-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	coreutils findutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Carp) perl(Exporter) perl(FileHandle) perl(IO::File)
BuildRequires:	perl(IO::Handle) perl(overload) perl(parent) perl(strict)
BuildRequires:	perl(Symbol) perl(vars) perl(warnings)
BuildRequires:	perl(File::Spec) perl(File::Temp) perl(Test::More) >= 0.88
BuildRequires:	perl(CPAN::Meta) >= 2.120900 perl(CPAN::Meta::Prereqs)

Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

Provides:	perl-IO-Stringy = %{version}-%{release}

%{?perl_default_filter}

%description
This toolkit primarily provides modules for performing both traditional
and object-oriented I/O) on things *other* than normal filehandles; in
particular, IO::Scalar, IO::ScalarArray, and IO::Lines.

In the more-traditional IO::Handle front, we have IO::AtomicFile, which
may be used to painlessly create files that are updated atomically.

And in the "this-may-prove-useful" corner, we have IO::Wrap, whose
exported wraphandle() function will clothe anything that's not a blessed
object in an IO::Handle-like wrapper... so you can just use OO syntax
and stop worrying about whether your function's caller handed you a
string, a globref, or a FileHandle.

%prep
%autosetup -n IO-Stringy-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license COPYING LICENSE
%doc Changes examples/ README
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::AtomicFile.3*
%{_mandir}/man3/IO::InnerFile.3*
%{_mandir}/man3/IO::Lines.3*
%{_mandir}/man3/IO::Scalar.3*
%{_mandir}/man3/IO::ScalarArray.3*
%{_mandir}/man3/IO::Stringy.3*
%{_mandir}/man3/IO::Wrap.3*
%{_mandir}/man3/IO::WrapTie.3*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.113-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.113-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 cunshunxia <cunshunxia@tencent.com> - 2.113-1
- initial build
